﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace wcfoef01service
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the class name "Service1" in both code and config file together.
    public class LeveranciersService : ILeverancierService
    {

        public List<string> GetLeveranciers()
        {
            List<String> lijst = new List<string>();
            String connectionString = ConfigurationManager.ConnectionStrings["deschop"].ConnectionString;
            using (IDbConnection connectie = new SqlConnection(connectionString))
            {
                IDbCommand commando = connectie.CreateCommand();
                commando.CommandText = "SELECT lev_naam FROM leveranciers";
                connectie.Open();
                using (IDataReader reader = commando.ExecuteReader())
                {
                    while (reader.Read())
                    {
                        string naam = reader.GetString(0);
                        lijst.Add(naam);
                    }
                }
            }
            return lijst;
        }
    }
}
